LINUX.ORG.RU

Вышел Calculate Linux 23

 , , , ,


3

1

В новую версию включена серверная редакция Calculate Container Manager для работы с LXC, добавлена новая утилита cl-lxc, добавлена поддержка выбора репозитория обновления.

Для загрузки доступны следующие редакции дистрибутива: Calculate Linux Desktop с рабочим столом KDE (CLD), Cinnamon (CLDC), LXQt (CLDL), Mate (CLDM) и Xfce (CLDX и CLDXS), Calculate Container Manager (CCM), Calculate Directory Server (CDS), Calculate Linux Scratch (CLS) и Calculate Scratch Server (CSS).

Основные изменения

  • Обновлены пользовательские окружения: KDE Plasma 5.25.5, Xfce 4.18, MATE 1.26, Cinnamon 5.6.5, LXQt 1.2.
  • Новый серверный дистрибутив Calculate Container Manager для запуска LXC контейнеров.
  • Новая утилита cl-lxc создания и обновления контейнеров, учитывающая особенности Calculate Linux.
  • В утилите обновления cl-update появилась поддержка выбора зеркала бинарных пакетов.
  • Добавлена проверка доступности Git репозитория с возможностью переключиться между GitHub и Calculate Git.
  • Путь к портежам изменён на /var/db/repos/gentoo.
  • В установщик добавлена проверка на сложность вводимых паролей.
  • Редактор nano заменён на vi, из пакета busybox.
  • Улучшено определение проприетарного Nvidia драйвера.

Состав пакетов

  • CLD (KDE desktop): KDE Frameworks 5.99.0, KDE Plasma 5.25.5, KDE Applications 22.08.3, LibreOffice 7.3.7.2, Chromium 108.0.5359.124 - 3.1 G
  • CLDC (Cinnamon desktop): Cinnamon 5.6.5, LibreOffice 7.3.7.2, Chromium 108.0.5359.124, Evolution 3.46.2, Gimp 2.10.32, Rhythmbox 3.4.6 - 2.8 G
  • CLDL (LXQt desktop): LXQt 1.2, LibreOffice 7.3.7.2, Chromium 108.0.5359.124, Claws Mail 4.1.0, Gimp 2.10.32, Strawberry 1.0.10 - 2.9 G
  • CLDM (MATE desktop): MATE 1.26, LibreOffice 7.3.7.2, Chromium 108.0.5359.124, Claws Mail 4.1.0, Gimp 2.10.32, Strawberry 1.0.10 - 2.9 G
  • CLDX (Xfce desktop): Xfce 4.18, LibreOffice 7.3.7.2, Chromium 108.0.5359.124, Claws Mail 4.1.0, Gimp 2.10.32, Strawberry 1.0.10 - 2.8 G
  • CLDXS (Xfce Scientific desktop): Xfce 4.18, Eclipse 4.15, Inkscape 1.2.1, LibreOffice 7.3.7.2, Chromium 108.0.5359.124, Claws Mail 4.1.0, Gimp 2.10.32 - 3.1 G
  • CCM (Container Manager): Kernel 5.15.82, Calculate Utilities 3.7.3.1, Calculate Toolkit 0.3.1 - 699 M
  • CDS (Directory Server): OpenLDAP 2.4.58, Samba 4.15.12, Postfix 3.7.3, ProFTPD 1.3.8, Bind 9.16.22 - 837 M
  • CLS (Linux Scratch): Xorg-server 21.1.4, Kernel 5.15.82 - 1.7 G
  • CSS (Scratch Server): Kernel 5.15.82, Calculate Utilities 3.7.3.1 - 634 M

Загрузка и обновление

Live USB образы Calculate Linux доступны для загрузки на странице https://wiki.calculate-linux.org/ru/download

Если у вас уже установлен Calculate Linux, просто обновите вашу систему до версии CL23.

>>> Анонс

★★★★★

Проверено: shell-script ()

Поздравляю с релизом! Лучший дистрибутив

bookman900 ★★★★★ ()
Ответ на: комментарий от apex

Насколько я знаю, официальных нет. Минимальный образ ~700Mb.

Но я недавно начал Calculate использовать, могу не знать всех подробностей.

shell-script ★★★★★ ()
Последнее исправление: shell-script (всего исправлений: 1)

Это такая скрепная традиция - не делать сборки с Гномом?) Прямо пару дней назад смотрел, на долю Гнома по миру приходится почти 45% пользователей, только в в Постсссрстании лидируют клоны Винды. Одним словом, це гойдаааа!!1

slepoy_pew ()
Последнее исправление: slepoy_pew (всего исправлений: 1)
Ответ на: комментарий от apex

CLS (Linux Scratch) и CSS (Scratch Server)

Это минимальные заготовки для дальнейшего самостоятельного наращивания, на их базе так же можно делать свои самостоятельные узкозаточенные установчные сборки Калькулейта для собственных целей с помощью cl-builder

Jameson ★★★★★ ()
Ответ на: комментарий от slepoy_pew

Это такая скрепная традиция - не делать сборки с Гномом?

Они считают что гуй должен быть как у винды. Первое время они пытались через расширения сделать из Гнома винду, однако понятно что это был путь в никуда. Поэтому гном выкинули. Но у них и так был невероятно страшный и уродливый.

Polugnom ★★★★★ ()
Последнее исправление: Polugnom (всего исправлений: 1)
Ответ на: комментарий от slepoy_pew

Это такая скрепная традиция - не делать сборки с Гномом?

В Калькулейт используется OpenRC, варианта с systemd нет. Гном прибит к systemd.

Jameson ★★★★★ ()

ага, обновилось… на сайте 23-й исошник скачать можно, а eix-sync && cl-update говорит, что обнов нет. вот такое наедалово. сервера обновлений менял - нифига.

CYber100 ()
Последнее исправление: CYber100 (всего исправлений: 1)
Ответ на: комментарий от Jameson

В Калькулейт используется OpenRC, варианта с systemd нет. Гном прибит к systemd.

Пойди это разработчикам OpenBSD расскажи или Ораклу с его Соларисом.

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

Посмотрел скрины, ну над этим, видимо, работали эксперты из Министерства Обороны.

slepoy_pew ()
Ответ на: комментарий от Shushundr

Почему?

Потому что легче выкинуть гном чем заниматься таким. Зачем делать из гнома винду, если есть гора ДЕ которые уже похожи на винду?

Polugnom ★★★★★ ()
Ответ на: комментарий от Jameson

Давно не щупал Генту, но там можно было выбрать поттерингд при сборке даже с другими окружениями. Я собирал с Крысой и Системд.

slepoy_pew ()
Ответ на: комментарий от Jameson

Это пару лет как не так. Отцепили же.

https://wiki.gentoo.org/wiki/GNOME/GNOME_without_systemd/Gentoo

Может просто gnome не нужен разработчикам местных дистрибутивов? Только почему от этого у некоторых пригорает? Вон PCLinuxOS тоже с KDE только.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от slepoy_pew

Можно, но в генте. В калькулейт это сломает шаблоны и дистрибутив перестанет быть калькулейт. Официально системд в калькулейт нет.

Jameson ★★★★★ ()
Ответ на: комментарий от grem

А, ну значит я просто отстал и не в курсе. Лично мне гном не нужен, не интересен и я за ним не слежу. Вообще раз так — ничего не должно мешать установить гном самостоятельно в любой из дистрибутивов калькулейт.

Jameson ★★★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от slepoy_pew

Никто не мешает тебе поставить гном после установки базовой системы.

shell-script ★★★★★ ()
Ответ на: комментарий от shell-script

У меня даже Генту желания ставить нет. Не сомневаюсь, что для кого-то она действительно необходима. В сабже смысла вообще не вижу.

Там вроде ЧромОС тоже бинарная сборочка Генту? Чем оно хуже?😏

slepoy_pew ()
Ответ на: комментарий от Jameson

Да я бы не сказал, что сломает. Просто придётся частично компилять систему. У меня так и настроено. Большая часть пакетов из дефолта, а часть собрана с моими хотелками. В этом же и есть прелесть Calculate. Полностью компилять на буке Gentoo - долго. А тут хороший вариант. А так как у меня на десктопе gentoo, я подключил distcc и даже то, что компилять надо, собирается довольно быстро.

shell-script ★★★★★ ()

У меня вопрос: на сколько адекватна поддержка у этого дистрибутива на фоне слухов об упадке Gentoo (сокращении количества мейнтейнеров у них)?

DarkAmateur ★★★ ()
Ответ на: комментарий от slepoy_pew

Бинарные пакеты для дефолта, USE-флаги там, где это нужно. В итоге компилить нужно меньше, чем в чистой gentoo. ChromeOS вообще про другое.

shell-script ★★★★★ ()
Ответ на: комментарий от DarkAmateur

Примерно с момента выхода стабильно загниваем и умираем.

shell-script ★★★★★ ()
Ответ на: комментарий от CYber100

Ты пользуешься роллинг дистрибутивом не понимая что такое роллинг? А что по твоему должно произойти, если у тебя система уже в актуальном состоянии? Салют должен случиться? Торжественная музыка заиграть?

Релиз это для тех кто с нуля ставит, не знает про «ночные сборки» и для рекламы и новостей. А так же для тех кто обновляется «методом переката», с релиза на релиз через iso и «запасной» раздел, в кальке есть такой механизм. Этот метод для серверов предусмотрен, где роллинг по каким либо причинам неудобен.

Jameson ★★★★★ ()
Ответ на: комментарий от shell-script

Ну про Хромось я так, пошутил.

А если, я, допустим, фан ГТК (или Кьют) и выставлю соответствующие флаги, у меня вообще половина пакетов пересоберёься, или там есть приоритет пакетов Калкулейт?

slepoy_pew ()
Ответ на: комментарий от slepoy_pew

Если твои юзы отличаются от тех, с которыми собраны пакеты в репе - эти пакеты будут пересобраны.

Например, я для KDE выставил USE="-semantic-desktop". Пересобрать пришлось меньше десятка пакетов, ещё пара десятков удалилось за ненадобностью. Полностью все кеды разумеется пересобирать не надо.

shell-script ★★★★★ ()
Ответ на: комментарий от slepoy_pew

Прекрасно, я вообще не понял о чём ты и зачем ты мне отвечаешь, но я за тебя рад (нет, на самом деле мне без разницы как ты там чего делаешь)

Jameson ★★★★★ ()
Ответ на: комментарий от slepoy_pew

Ну вот мне ночью прилетело около десятка пакетов, среди которых

 * Installing media-gfx/calculate-wallpapers-23 [22]
 * Installing media-gfx/dm-themes-calculate-23 [22]

Так я узнал, что вышел релиз. ) А так-то ролинг и все соответсвующие плюшки.

shell-script ★★★★★ ()
Ответ на: комментарий от shell-script

Ну вот как то да, именно так пользователи роллингов узнают о релизах. И в /etc/os-release цифры меняются.

Jameson ★★★★★ ()

Интересно, почему в сборке с LXQT этот самый LXQT аж прошлогодней версии? Со времен 0.17 версии среда уже перешагнула версию 1.0, а сейчас актуальна 1.2. Мало юзеров?

Heartbreak_Kid ()
Ответ на: комментарий от Heartbreak_Kid

А, это ошибка в новости. В начале написано что обновлено до LXQT 1.2, но когда идет описание состава пакетов, там написано что LXQT 0.17

Heartbreak_Kid ()
Ответ на: комментарий от Heartbreak_Kid

Спасибо. Опечатка закралась и в оригинальной новости. У нас пофиксил.

shell-script ★★★★★ ()
Ответ на: комментарий от CYber100

cl-core-setup -n baselayout

Шаблон тебе файлик с версиями обновит. Суть в том что baselayout, которому принадлежат файлики с циферками, гентушный пакет. И о релизе кальки гентушники не в курсе. А вот меняют циферки в этих файликах кальковские шаблоны, которые срабатывают при обновлении baselayout. Так что он не обновлялся, шаблоны не отрабатывали, циферки не менялись. Команда выше принудительно дёргает шаблоны и обновляет эти файлики. Это и само собою произойдёт, как только гентушный baselayout обновится. Да, слегка некрасиво, но циферки это циферки, они никак не влияют на функционал.

Jameson ★★★★★ ()
Последнее исправление: Jameson (всего исправлений: 2)

Васяносборочка генты, /thread

Зачем оно нужно, когда есть просто медленно умирающая ванильная гента? И умирать она будет еще долго, так же как Алла Пугачева уходила со сцены.

XOXO ()
Ответ на: комментарий от XOXO

Наверное потому что альтернатив ей уже нет. Почему то остальные дистрибутивы сосредоточились на нескучных обоях, а не на удобстве использования в реальной работе для пользователя.

LightDiver ★★★★★ ()
Ответ на: комментарий от LightDiver

Почему то остальные дистрибутивы сосредоточились на нескучных обоях

Ну как бы есть РАЧ и являясь уже очень много лет его адептом могу сказать что это до сих пор разумный компромисс и ничего лучше в плане системы-конструктора до сих пор нет. Гента хороша для ортодоксов-ванильщиков и просто любителей «погреть воздух», не буду спорить, но меня в свое время вовремя попустило и перекатился.

XOXO ()
Ответ на: комментарий от LightDiver

Ну когда он у тебя проживет на обновлении по крону 9 лет

Сомнительное достоинство на самом деле. Хомяк я бэкплю и перетаскиваю между машинами уже лет 12 минимум и простой shell-скрипт может за полчаса собрать нужное мне окружение чисто из pacman и AUR на девственном комплюкхтере.

XOXO ()
Ответ на: комментарий от shell-script

мы знаем

Взвизгунл с пикчи, но глупо в 2023 году вообще выставлять дистриб, который используешь как что-то «элитарное» для нитакусек. Это просто «рабочая лошадка», первая ступень, которая обеспечивая привычную среду запускает тебя делать по-настоящему серьезные вещи вне своего локалхоста. Дрочить на локалхост сейчас - это no way.

XOXO ()
Ответ на: комментарий от XOXO

Это просто «рабочая лошадка», первая ступень, которая обеспечивая привычную среду запускает тебя делать по-настоящему серьезные вещи вне своего локалхоста.

Именно поэтому я никогда не хожу по новостям о выходах различных дистрибутивов и не начинаю там рекламировать свои(не опечатка, я одновременно использую четыре разных дистрибутива дома и два на работе; а так или иначе сталкивался практически со всеми популярными дистрами). И именно поэтому на ноуте у меня в данный момент Calculate - удобный компромисс между бинарным дистром, что хорошо для слабой машины и гибкостью gentoo, которую дают USE-флаги.

shell-script ★★★★★ ()
Ответ на: комментарий от shell-script

поэтому на ноуте у меня в данный момент Calculate

Чому не используешь просто ванильную Генту? Какие объективные предпосылки сидеть на васяносборочке?

XOXO ()
Ответ на: комментарий от XOXO

взвизгнул

пикча

дрочить

no way

васяносборочка

компхлюкхтер

причина выбрать Calculate очевидна.

grem ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.